# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCloseOperationResp

Packages that use TCloseOperationResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCloseOperationResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TCloseOperationResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.CloseOperation_call`
`static class`
`TCLIService.AsyncProcessor.CloseOperation<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCloseOperationResp
Modifier and Type
Class
Description
`class`
`TCloseOperationResp`
`class`
`TCloseOperationResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCloseOperationResp
Modifier and Type
Field
Description
`TCloseOperationResp`
TSparkDirectResults.`closeOperation`
`TCloseOperationResp`
TCLIService.CloseOperation_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCloseOperationResp
Modifier and Type
Method
Description
`TCloseOperationResp`
TCLIService.Client.`CloseOperation(TCloseOperationReq req)`
`TCloseOperationResp`
TCLIService.Iface.`CloseOperation(TCloseOperationReq req)`
`TCloseOperationResp`
TCloseOperationResp.`deepCopy()`
`TCloseOperationResp`
TSparkDirectResults.`getCloseOperation()`
`TCloseOperationResp`
TCLIService.AsyncClient.CloseOperation_call.`getResult()`
`TCloseOperationResp`
TCLIService.CloseOperation_result.`getSuccess()`
`TCloseOperationResp`
TCLIService.Client.`recv_CloseOperation()`
`TCloseOperationResp`
TCloseOperationResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TCloseOperationResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp>`
TCLIService.AsyncProcessor.CloseOperation.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCloseOperationResp
Modifier and Type
Method
Description
`int`
TCloseOperationResp.`compareTo(TCloseOperationResp other)`
`boolean`
TCloseOperationResp.`equals(TCloseOperationResp that)`
`TSparkDirectResults`
TSparkDirectResults.`setCloseOperation(TCloseOperationResp closeOperation)`
`TCLIService.CloseOperation_result`
TCLIService.CloseOperation_result.`setSuccess(TCloseOperationResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TCloseOperationResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`CloseOperation(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler)`
`void`
TCLIService.AsyncIface.`CloseOperation(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.CloseOperation.`start(I iface, TCLIService.CloseOperation_args args, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCloseOperationResp
Modifier
Constructor
Description
``
`CloseOperation_result(TCloseOperationResp success)`
``
`TCloseOperationResp(TCloseOperationResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TCloseOperationResp
Modifier
Constructor
Description
``
`CloseOperation_call(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`